esqueleto-3.6.0.0: Type-safe EDSL for SQL queries on persistent backends.

Safe Haskell | None
Language | Haskell2010

Database.Esqueleto.Experimental.ToMaybe

# Documentation

class ToMaybe a where Source #

Associated Types

type ToMaybeT a Source #

Methods

toMaybe :: a -> ToMaybeT a Source #

#### Instances

Instances details

ToMaybe (SqlExpr (Value a)) Source # |

Instance details

Defined in Database.Esqueleto.Experimental.ToMaybe

Associated Types

type ToMaybeT (SqlExpr (Value a)) |
Instance details Defined in Database.Esqueleto.Experimental.ToMaybe type ToMaybeT (SqlExpr (Value a)) = SqlExpr (Value (Maybe (Nullable a)))

Methods

toMaybe :: SqlExpr (Value a) -> ToMaybeT (SqlExpr (Value a)) Source #

ToMaybe (SqlExpr (Entity a)) Source # |

Instance details

Defined in Database.Esqueleto.Experimental.ToMaybe

Associated Types

type ToMaybeT (SqlExpr (Entity a)) |
Instance details Defined in Database.Esqueleto.Experimental.ToMaybe type ToMaybeT (SqlExpr (Entity a)) = SqlExpr (Maybe (Entity a))

Methods

toMaybe :: SqlExpr (Entity a) -> ToMaybeT (SqlExpr (Entity a)) Source #

ToMaybe (SqlExpr (Maybe a)) Source # |

Instance details

Defined in Database.Esqueleto.Experimental.ToMaybe

Associated Types

type ToMaybeT (SqlExpr (Maybe a)) |
Instance details Defined in Database.Esqueleto.Experimental.ToMaybe type ToMaybeT (SqlExpr (Maybe a)) = SqlExpr (Maybe a)

Methods

toMaybe :: SqlExpr (Maybe a) -> ToMaybeT (SqlExpr (Maybe a)) Source #

(ToMaybe a, ToMaybe b) => ToMaybe (a :& b) Source # |

Instance details

Defined in Database.Esqueleto.Experimental.From.Join

Associated Types

type ToMaybeT (a :& b) |
Instance details Defined in Database.Esqueleto.Experimental.From.Join type ToMaybeT (a :& b) = ToMaybeT a :& ToMaybeT b

Methods

toMaybe :: (a :& b) -> ToMaybeT (a :& b) Source #

(ToMaybe a, ToMaybe b) => ToMaybe (a, b) Source # |

Instance details

Defined in Database.Esqueleto.Experimental.ToMaybe

Associated Types

type ToMaybeT (a, b) |
Instance details Defined in Database.Esqueleto.Experimental.ToMaybe type ToMaybeT (a, b) = (ToMaybeT a, ToMaybeT b)

Methods

toMaybe :: (a, b) -> ToMaybeT (a, b) Source #

(ToMaybe a, ToMaybe b, ToMaybe c) => ToMaybe (a, b, c) Source # |

Instance details

Defined in Database.Esqueleto.Experimental.ToMaybe

Associated Types

type ToMaybeT (a, b, c) |
Instance details Defined in Database.Esqueleto.Experimental.ToMaybe type ToMaybeT (a, b, c) = (ToMaybeT a, ToMaybeT b, ToMaybeT c)

Methods

toMaybe :: (a, b, c) -> ToMaybeT (a, b, c) Source #

(ToMaybe a, ToMaybe b, ToMaybe c, ToMaybe d) => ToMaybe (a, b, c, d) Source # |

Instance details

Defined in Database.Esqueleto.Experimental.ToMaybe

Associated Types

type ToMaybeT (a, b, c, d) |
Instance details Defined in Database.Esqueleto.Experimental.ToMaybe type ToMaybeT (a, b, c, d) = (ToMaybeT a, ToMaybeT b, ToMaybeT c, ToMaybeT d)

Methods

toMaybe :: (a, b, c, d) -> ToMaybeT (a, b, c, d) Source #

(ToMaybe a, ToMaybe b, ToMaybe c, ToMaybe d, ToMaybe e) => ToMaybe (a, b, c, d, e) Source # |

Instance details

Defined in Database.Esqueleto.Experimental.ToMaybe

Associated Types

type ToMaybeT (a, b, c, d, e) |
Instance details Defined in Database.Esqueleto.Experimental.ToMaybe type ToMaybeT (a, b, c, d, e) = (ToMaybeT a, ToMaybeT b, ToMaybeT c, ToMaybeT d, ToMaybeT e)

Methods

toMaybe :: (a, b, c, d, e) -> ToMaybeT (a, b, c, d, e) Source #

(ToMaybe a, ToMaybe b, ToMaybe c, ToMaybe d, ToMaybe e, ToMaybe f) => ToMaybe (a, b, c, d, e, f) Source # |

Instance details

Defined in Database.Esqueleto.Experimental.ToMaybe

Associated Types

type ToMaybeT (a, b, c, d, e, f) |
Instance details Defined in Database.Esqueleto.Experimental.ToMaybe type ToMaybeT (a, b, c, d, e, f) = (ToMaybeT a, ToMaybeT b, ToMaybeT c, ToMaybeT d, ToMaybeT e, ToMaybeT f)

Methods

toMaybe :: (a, b, c, d, e, f) -> ToMaybeT (a, b, c, d, e, f) Source #

(ToMaybe a, ToMaybe b, ToMaybe c, ToMaybe d, ToMaybe e, ToMaybe f, ToMaybe g) => ToMaybe (a, b, c, d, e, f, g) Source # |

Instance details

Defined in Database.Esqueleto.Experimental.ToMaybe

Associated Types

type ToMaybeT (a, b, c, d, e, f, g) |
Instance details Defined in Database.Esqueleto.Experimental.ToMaybe type ToMaybeT (a, b, c, d, e, f, g) = (ToMaybeT a, ToMaybeT b, ToMaybeT c, ToMaybeT d, ToMaybeT e, ToMaybeT f, ToMaybeT g)

Methods

toMaybe :: (a, b, c, d, e, f, g) -> ToMaybeT (a, b, c, d, e, f, g) Source #

(ToMaybe a, ToMaybe b, ToMaybe c, ToMaybe d, ToMaybe e, ToMaybe f, ToMaybe g, ToMaybe h) => ToMaybe (a, b, c, d, e, f, g, h) Source # |

Instance details

Defined in Database.Esqueleto.Experimental.ToMaybe

Associated Types

type ToMaybeT (a, b, c, d, e, f, g, h) |
Instance details Defined in Database.Esqueleto.Experimental.ToMaybe type ToMaybeT (a, b, c, d, e, f, g, h) = (ToMaybeT a, ToMaybeT b, ToMaybeT c, ToMaybeT d, ToMaybeT e, ToMaybeT f, ToMaybeT g, ToMaybeT h)

Methods

toMaybe :: (a, b, c, d, e, f, g, h) -> ToMaybeT (a, b, c, d, e, f, g, h) Source #

type family ToMaybeT a Source #

#### Instances

Instances details

type ToMaybeT (SqlExpr (Value a)) Source # |
Instance details Defined in Database.Esqueleto.Experimental.ToMaybe type ToMaybeT (SqlExpr (Value a)) = SqlExpr (Value (Maybe (Nullable a)))
type ToMaybeT (SqlExpr (Entity a)) Source # |
Instance details Defined in Database.Esqueleto.Experimental.ToMaybe type ToMaybeT (SqlExpr (Entity a)) = SqlExpr (Maybe (Entity a))
type ToMaybeT (SqlExpr (Maybe a)) Source # |
Instance details Defined in Database.Esqueleto.Experimental.ToMaybe type ToMaybeT (SqlExpr (Maybe a)) = SqlExpr (Maybe a)
type ToMaybeT (a :& b) Source # |
Instance details Defined in Database.Esqueleto.Experimental.From.Join type ToMaybeT (a :& b) = ToMaybeT a :& ToMaybeT b
type ToMaybeT (a, b) Source # |
Instance details Defined in Database.Esqueleto.Experimental.ToMaybe type ToMaybeT (a, b) = (ToMaybeT a, ToMaybeT b)
type ToMaybeT (a, b, c) Source # |
Instance details Defined in Database.Esqueleto.Experimental.ToMaybe type ToMaybeT (a, b, c) = (ToMaybeT a, ToMaybeT b, ToMaybeT c)
type ToMaybeT (a, b, c, d) Source # |
Instance details Defined in Database.Esqueleto.Experimental.ToMaybe type ToMaybeT (a, b, c, d) = (ToMaybeT a, ToMaybeT b, ToMaybeT c, ToMaybeT d)
type ToMaybeT (a, b, c, d, e) Source # |
Instance details Defined in Database.Esqueleto.Experimental.ToMaybe type ToMaybeT (a, b, c, d, e) = (ToMaybeT a, ToMaybeT b, ToMaybeT c, ToMaybeT d, ToMaybeT e)
type ToMaybeT (a, b, c, d, e, f) Source # |
Instance details Defined in Database.Esqueleto.Experimental.ToMaybe type ToMaybeT (a, b, c, d, e, f) = (ToMaybeT a, ToMaybeT b, ToMaybeT c, ToMaybeT d, ToMaybeT e, ToMaybeT f)
type ToMaybeT (a, b, c, d, e, f, g) Source # |
Instance details Defined in Database.Esqueleto.Experimental.ToMaybe type ToMaybeT (a, b, c, d, e, f, g) = (ToMaybeT a, ToMaybeT b, ToMaybeT c, ToMaybeT d, ToMaybeT e, ToMaybeT f, ToMaybeT g)
type ToMaybeT (a, b, c, d, e, f, g, h) Source # |
Instance details Defined in Database.Esqueleto.Experimental.ToMaybe type ToMaybeT (a, b, c, d, e, f, g, h) = (ToMaybeT a, ToMaybeT b, ToMaybeT c, ToMaybeT d, ToMaybeT e, ToMaybeT f, ToMaybeT g, ToMaybeT h)

type family Nullable a where ... Source #

Equations

Nullable (Maybe a) = a |
Nullable a = a |